%define _buildid .23

%global py26nvr python26-six-%{version}-%{release}
%global py26builddir %{_builddir}/%{py26nvr}
%global py26doc ../%{py26nvr}

%global py27nvr python27-six-%{version}-%{release}
%global py27builddir %{_builddir}/%{py27nvr}
%global py27doc ../%{py27nvr}

%bcond_without tests # with
%bcond_with X11

%global upstream_name six

Name: python-six
Version: 1.8.0
Release: 1%{?_buildid}%{?dist}
Summary: Python 2 and 3 compatibility utilities
Group: Development/Languages
License: MIT
URL: http://pypi.python.org/pypi/six/
Source0: http://pypi.python.org/packages/source/s/six/six-%{version}.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python26
BuildRequires: python27

%description
python-six provides simple utilities for wrapping over differences between
Python 2 and Python 3.

This is the Python 2 build of the module.

%package -n python26-six
Summary: Python 2 and 3 compatibility utilities
BuildRequires: python26-devel
# For use by selftests:
BuildRequires: python26-pytest
%if %{with X11}
BuildRequires: python26-tkinter
%endif
Provides: python-six = %{version}-%{release}
Obsoletes: python-six <= 1.8.0-1.20.amzn1

%description -n python26-six
python-six provides simple utilities for wrapping over differences between
Python 2 and Python 3.

This is the Python 2 build of the module.

This package is meant to be used with Python 2.6.

%package -n python27-six
Summary: Python 2 and 3 compatibility utilities
BuildRequires: python27-devel
# For use by selftests:
BuildRequires: python27-pytest
%if %{with X11}
BuildRequires: python27-tkinter
%endif

%description -n python27-six
python-six provides simple utilities for wrapping over differences between
Python 2 and Python 3.

This is the Python 2 build of the module.

This package is meant to be used with Python 2.7.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
rm -rf %{py26builddir}
mkdir -p %{py26builddir}
cp -a * %{py26builddir}
pushd %{py26builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python26} setup.py build 
popd

rm -rf %{py27builddir}
mkdir -p %{py27builddir}
cp -a * %{py27builddir}
pushd %{py27builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python27} setup.py build 
popd

%install
rm -rf %{buildroot}

pushd %{py26builddir}
%{__python26} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd

pushd %{py27builddir}
%{__python27} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd

%check
%if %{with tests}
pushd %{py26builddir}
py.test-2.6 -rfsxX test_six.py
popd
pushd %{py27builddir}
py.test-2.7 -rfsxX test_six.py
popd
%endif

%clean
rm -rf %{buildroot}
rm -rf %{py26builddir}
rm -rf %{py27builddir}

%files -n python26-six
%{!?_licensedir:%global license %%doc}
%doc README documentation/index.rst
%license LICENSE
%{python26_sitelib}/*

%files -n python27-six
%{!?_licensedir:%global license %%doc}
%doc README documentation/index.rst
%license LICENSE
%{python27_sitelib}/*

%changelog
* Wed Feb 4 2015 Jason Green <jasg@amazon.com>
- Build for multiple pythons

* Wed Dec 10 2014 Lee Trager <ltrager@amazon.com>
- Add back X11 bcond for Python 3

* Tue Dec 9 2014 Lee Trager <ltrager@amazon.com>
- import source package F22/python-six-1.8.0-1.fc22
- Add back X11 bcond

* Fri Nov 14 2014 Slavek Kabrda <bkabrda@redhat.com> - 1.8.0-1
- upgrade to 1.8.0 (rhbz#1105861)

* Tue Aug 19 2014 Cristian Gafton <gafton@amazon.com>
- import source package EPEL6/python-six-1.7.3-1.el6

* Sun Aug  3 2014 Tom Callaway <spot@fedoraproject.org> - 1.7.3-2
- fix license handling

* Thu Jul 31 2014 Pádraig Brady <pbrady@redhat.com> - 1.7.3-1
- Latest upstream

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 24 2014 Cristian Gafton <gafton@amazon.com>
- import source package EPEL6/python-six-1.6.1-1.el6

* Thu May 08 2014 Orion Poplawski <orion@cora.nwra.com> - 1.6.1-2
- Rebuild for Python 3.4

* Tue Apr 29 2014 Matthias Runge <mrugne@redhat.com> - 1.6.1-1
- upgrade to 1.6.1 (rhbz#1076578)

* Thu Apr 24 2014 Cristian Gafton <gafton@amazon.com>
- import source package EPEL6/python-six-1.5.2-1.el6

* Fri Mar 07 2014 Matthias Runge <mrunge@redhat.com> - 1.5.2-1
- upgrade to 1.5.2 (rhbz#1048819)

* Fri Oct 25 2013 Cristian Gafton <gafton@amazon.com>
- import source package EPEL6/python-six-1.4.1-1.el6

* Mon Sep 16 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 1.4.1-1
- 1.4.1

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 21 2013 David Malcolm <dmalcolm@redhat.com> - 1.3.0-1
- 1.3.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Oct 16 2012 Cristian Gafton <gafton@amazon.com>
- import source package EPEL6/python-six-1.1.0-2.el6
- setup complete for package python-six

* Wed Aug 29 2012 David Malcolm <dmalcolm@redhat.com> - 1.2.0-1
- 1.2.0 (rhbz#852658)
- add %%check section

* Sat Aug 04 2012 David Malcolm <dmalcolm@redhat.com> - 1.1.0-4
- rebuild for https://fedoraproject.org/wiki/Features/Python_3.3

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Ralph Bean <rbean@redhat.com> - 1.1.0-2
- Conditionalized python3-six, allowing an el6 build.

* Tue Feb  7 2012 David Malcolm <dmalcolm@redhat.com> - 1.1.0-1
- 1.1.0

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Mar 24 2011 David Malcolm <dmalcolm@redhat.com> - 1.0.0-1
- initial packaging
